import React from 'react';
import ReactDOM from 'react-dom';
import { arc } from 'd3';

const width = 960;
const height = 500;
const centerX = width / 2;
const centerY = height / 2;
const strokeWidth = 20;
const eyeOffsetX = 80;
const eyeOffsetY = 65;
const eyeRadius = 35;
const mouthWidth = 15;
const mouthRadius = 60;

const mycolor = d3.rgb(110, 189, 20);
const eyebrowRadius = 190
const eyebrowOffsetY= 0
const eyebrowOffsetX = 175
const eyebrowcolor = d3.rgb(15, 124, 16);

const mouthArc = arc()
  .innerRadius(mouthRadius)
  .outerRadius(mouthRadius + mouthWidth)
  .startAngle(Math.PI *10/16)
  .endAngle(Math.PI*22/16)

const mouthArcleft = arc()
  .innerRadius(40)
  .outerRadius(55)
  .startAngle(Math.PI *0)
  .endAngle(Math.PI );

const eyebrowleft = arc()
  .innerRadius(eyebrowRadius)
  .outerRadius(eyebrowRadius+20)
  .startAngle(Math.PI *3/4)
  .endAngle(Math.PI);

const App = () => (
  <svg width={width} height={height}>
    <g transform={`translate(${centerX},${centerY})`}>
      <circle
        r={centerY - strokeWidth / 2}
        fill={mycolor}
        stroke="black"
        stroke-width={strokeWidth}
      />
# eyes
    </g>
    <g transform={`translate(${centerX},${centerY+50})`}>

      <ellipse
        cx={-eyeOffsetX}
        cy={-eyeOffsetY}
        rx={eyeRadius}
        ry={eyeRadius+9}
      />
      <ellipse
        cx={eyeOffsetX}
        cy={-eyeOffsetY}
        rx={eyeRadius}
        ry={eyeRadius+9}
      />
    </g>
    
# mouth
    <g>
      <path transform={`translate(${centerX},${centerY+140}) rotate(180)`}
        d={mouthArc()}
        />
    </g>
    <g>
      <path transform={`translate(${centerX-111},${centerY+110})`}
        d = {mouthArcleft()}
        />
    </g>
    <g>
      <path transform={`translate(${centerX+111},${centerY+110}) rotate(180)`}
        d = {mouthArcleft()}
        />
    </g>
    
# eyebrow
        <g>
      <path transform={`translate(${centerX-eyebrowOffsetX},${centerY-270-eyebrowOffsetY})`}
        fill = {eyebrowcolor}
        d = {eyebrowleft()}
        />
    </g>
    <g>
      <path transform={`translate(${centerX+eyebrowOffsetX},${centerY-270+eyebrowOffsetY}) rotate(45)`}
        fill = {eyebrowcolor}
        d = {eyebrowleft()}
        />
    </g>

  </svg>



);

const rootElement = document.getElementById('root');
ReactDOM.render(<App />, rootElement);